org.apache.ignite.internal.processors.cache.distributed.dht

## Interface GridDhtTopologyFuture

All Superinterfaces:
  IgniteInternalFuture<AffinityTopologyVersion>

All Known Implementing Classes:
  GridDhtPartitionsExchangeFuture

    public interface GridDhtTopologyFuture
    extends IgniteInternalFuture<AffinityTopologyVersion>

Future that implements a barrier after which dht topology is safe to use. Topology is considered to be safe to use when all transactions that involve moving primary partitions are completed and partition map exchange is also completed.

When new new transaction is started, it will wait for this future before acquiring new locks on particular topology version.

### Method Summary

Methods
`boolean` `isCacheTopologyValid(GridCacheContext cctx)` Returns is cache topology valid.
`GridDiscoveryTopologySnapshot` `topologySnapshot()` Gets a topology snapshot for the topology version represented by the future.
`AffinityTopologyVersion` `topologyVersion()` Gets topology version of this future.

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, duration, error, get, get, get, isCancelled, isDone, listen, result, startTime`

### Method Detail

#### topologySnapshot

    GridDiscoveryTopologySnapshot topologySnapshot()
                                                   throws IgniteCheckedException

Gets a topology snapshot for the topology version represented by the future. Note that by the time partition exchange completes some nodes from the snapshot may leave the grid. One should use discovery service to check if the node is valid.

This method will block until the topology future is ready.

Returns:
  Topology snapshot for particular topology version.
Throws:
  `IgniteCheckedException` - If topology future failed.

#### topologyVersion

    AffinityTopologyVersion topologyVersion()

Gets topology version of this future.

Returns:
  Topology version.

#### isCacheTopologyValid

    boolean isCacheTopologyValid(GridCacheContext cctx)

Returns is cache topology valid.

Parameters:
  `cctx` - Cache context.
Returns:
  valid ot not.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015